
BornAgain - Feature #1504

Feature # 964 (Rejected): === GUI ===

GUI: support standard control keys

12 Jul 2016 09:30 - wuttke

Status: Backlog Start date: 12 Jul 2016

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

^A: select all wigets

^V: paste previously cut widget(s)

^X: cut selected widget(s)

^Z: revert last action

Related issues:

Related to BornAgain - Feature #1507: GUI: Sample builder & editor: SHIFT+Lef... Backlog 12 Jul 2016

History

#1 - 12 Jul 2016 21:00 - pospelov

This item should be extended to something more global. We can summarize here all shortcuts we have by now, and all required shortcuts.

Also one should distinguish between application-wise shortcuts, and shortcuts local for the View. For example, we have ctrl-r shortcut to run

simulation, which works already from SampleView, so it is application wise.

As for ctrl-Z - revert last action. Fully agree, that we need it, but we do not have, unfortunately, anything inside (i.e. "Command Pattern") to

provide unddo/redo.

#2 - 18 Sep 2020 19:06 - wuttke

- Status changed from New to Backlog

- Priority changed from Normal to Low

#3 - 18 Sep 2020 19:06 - wuttke

- Related to Feature #1507: GUI: Sample builder & editor: SHIFT+LeftClick should add to selection added
